package kawigi.tools.parts;
import robocode.*;
import kawigi.tools.*;

public class AccelerationSegmentation implements Segmentation, java.io.Serializable
{
	private double lastv;
	
	public int numSegments()
	{
		return 3;
	}
	
	public GrapherSegmentation getGraphingSegmentation()
	{
		return new AccelerationGSegmentation();
	}
	
	public int getSegmentIndex(ScannedRobotEvent e, AdvancedRobot ar, PowerManagement em)
	{
		int accl = (int)Math.round(Math.abs(lastv)-Math.abs(lastv = e.getVelocity()));
		if (accl != 0)
			accl = (accl < 0)? 1 : 2;
		return accl;
	}
}
