package kawigi.tools.parts;
import robocode.*;

public class FloodHTPower implements PowerManagement
{
	public double getPower(ScannedRobotEvent e, AdvancedRobot ar)
	{
		//base bullet power
		double power = 3;
		if (e.getDistance() > 500)
			//Shoot faster bullets if my opponent is further away:
			power = Math.min(power, 1500/e.getDistance());
		if (e.getEnergy() < 16)
			//finishing him off:
			power = Math.min(power, Math.min(e.getEnergy()/4, (e.getEnergy()+2)/6));
		if (getEnergy() < 2 && distance > 300)
			power = 0;
		else if (getEnergy() < 15)
			//conserve my own energy in general
			power = Math.min(power, getEnergy()/5);
		return power;
	}
}
