package kawigi.tools.parts;
import robocode.*;

/**
 * Represents the power/energy management of the robot.  Can be used to test different "tricks"
 * and such with the robot's fire power
 **/
public interface PowerManagement
{
	/**
	 * Returns the power that should be used in the given situation
	 **/
	public double getPower(ScannedRobotEvent e, AdvancedRobot ar);
}
