package kawigi.tools;
import kawigi.tools.graph.*;
import javax.swing.*;

public class WallGSegmentation implements GrapherSegmentation
{
	private JComboBox selectBox;
	
	public String getName()
	{
		return "Wall";
	}
	
	public void addSelectionWidget(GraphControlWindow window)
	{
		JPanel panel = new JPanel();
		panel.setLayout(new BoxLayout(panel, BoxLayout.X_AXIS));
		panel.add(new JLabel("Wall:"));
		if (selectBox == null)
		{
			selectBox = new JComboBox();
			selectBox.addItem("All Segments");
			selectBox.addItem("Approaching Wall");
			selectBox.addItem("Not Approaching");
		}
		selectBox.addItemListener(window);
		panel.add(selectBox);
		window.getContentPane().add(panel);
	}
	
	//index == 1 means wall, index == 0 means no wall
	public boolean accept(int index)
	{
		if (selectBox.getSelectedItem().equals("All Segments"))
			return true;
		else
			return ((index == 0) == selectBox.getSelectedItem().equals("Not Approaching"));
	}
}