package kawigi.tools.graph;
import java.awt.Color;

public class GraphData
{
	private double[] data;
	private Color c;
	
	public GraphData(Color c, double[] data)
	{
		this.data = data;
		this.c = c;
	}
	
	public GraphData(double[] data)
	{
		this.data = data;
		c = null;
	}
	
	public void setColor(Color c)
	{
		this.c = c;
	}
	
	public Color getColor()
	{
		return c;
	}
	
	public double[] getData()
	{
		return data;
	}
	
	public double getPercentAtHighest()
	{
		double total = 0;
		int highestindex = 0;
		for (int i=0; i<data.length; i++)
		{
			total += data[i];
			if (data[i] > data[highestindex])
				highestindex = i;
		}
		return data[highestindex]/total;
	}
}